import sys

SUCCESS = "SUCCESS"
FAILURE = "FAILURE"

######### Update SKLM data source #########

def update_sklm_datasource (dataSourceId):
    global AdminConfig

    print "--> proc update_sklm_datasource"
    print "--> SKLM dataSourceId is " + dataSourceId

    if (dataSourceId != ""):    
        propSet = AdminConfig.create("J2EEResourcePropertySet", dataSourceId, [] )
        attrs = [["name", "databaseName"], ["type", "java.lang.String"], ["value", dbName]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "driverType"], ["type", "java.lang.Integer"], ["value", 4]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "serverName"], ["type", "java.lang.String"], ["value", primaryDbServerName]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "portNumber"], ["type", "java.lang.Integer"], ["value", primaryDbportNumber]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "retryIntervalForClientReroute"], ["type", "java.lang.Integer"], ["description", ""], ["value", 10], ["required", "false"]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "maxRetriesForClientReroute"], ["type", "java.lang.Integer"], ["description", ""], ["value", 2], ["required", "false"]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "clientRerouteAlternateServerName"], ["type", "java.lang.String"], ["description", ""], ["value", alternateServerName], ["required", "false"]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        attrs = [["name", "clientRerouteAlternatePortNumber"], ["type", "java.lang.String"], ["description", ""], ["value", alternatePortNumber], ["required", "false"]]
        AdminConfig.create("J2EEResourceProperty", propSet, attrs)
        
        return SUCCESS
    else:
        return FAILURE
    #endElse
#endDef


#####################################################
#													#
# 				SCRIPT STARTS HERE					#
#													#
# 		 Sets up WAS to configure DB2 HADR			#
#													#
#####################################################


if (len(sys.argv) <> 5):
    print "  "
    print "Incorrect number of args.  "
    print "   arg1 - Database Name (eg: SKLMDB**)"
    print "   arg2 - Primary database hostname/IP address (eg: primaryDbHostName)"
    print "   arg3 - Primary database port (eg: 50030)"
    print "   arg4 - Standby database hostname/IP address (eg: standbyDbHostName)"
    print "   arg5 - Standby database port (eg: 50030)"
    exit
#endIf

dbName = sys.argv[0]
primaryDbServerName = sys.argv[1]
primaryDbportNumber = sys.argv[2]
alternateServerName = sys.argv[3]
alternatePortNumber = sys.argv[4]

print "\"dbName\" : " + dbName
print "\"primaryDbServerName\" : " + primaryDbServerName + ", \"primaryDbportNumber\" : " + primaryDbportNumber
print "\"alternateServerName\" : " + alternateServerName + ", \"alternatePortNumber\" : " + alternatePortNumber


#UPDATE SKLM DataSource
dataSourceId = AdminConfig.list('DataSource', 'SKLM DataSource*')
returnCode = update_sklm_datasource(dataSourceId)

print "Debug --> return from update_sklm_datasource SKLM DataSource : " + returnCode
if (returnCode == SUCCESS):
        AdminConfig.save( )
#endIf


#UPDATE SKLM scheduler XA Datasource
dataSourceId = AdminConfig.list('DataSource', '*XA*')
returnCode = update_sklm_datasource(dataSourceId)

print "Debug --> return from update_sklm_datasource SKLM scheduler XA Datasource : " + returnCode
if (returnCode == SUCCESS):
        AdminConfig.save( )
#endIf